#ifndef _IO_SERVICE_
#define _IO_SERVICE_
#include <stdint.h>

//Light defines
#define OFF 0
#define ON 1
#define FRONT 0
#define REAR 1

bool InitIO_Service ( uint8_t Priority );
bool PostIO_Service( ES_Event ThisEvent );
ES_Event RunIO_Service( ES_Event ThisEvent );

void SetLiftFan(uint8_t mode);
uint8_t QueryBalloonMonitor(void);
void UpdatePIDData(int8_t DesiredThrust, int8_t DesiredOrientation);
void SetServoPosition(uint8_t Position);
void SetLights(uint8_t frontrear, uint8_t onoff);

#endif
