/****************************************************************************

  Header file for template Flat Sate Machine
  based on the Gen2 Events and Services Framework

 ****************************************************************************/

#ifndef Popping_SM_H
#define Popping_SM_H

// Event Definitions
#include "ES_Configure.h" /* gets us event definitions */
#include "ES_Types.h"     /* gets bool type for returns */
#include "ES_Events.h"

// typedefs for the states
// State definitions for use with the query function
typedef enum {RackForward, Idle, RackBackward, RampUp } PoppingState_t;

// Public Function Prototypes

bool InitPopping_SM(uint8_t Priority);
bool PostPopping_SM( ES_Event ThisEvent );
ES_Event RunPopping_SM( ES_Event ThisEvent );


#endif /* Popping_SM_H */

