/****************************************************************************
 Description
    Header file for TX_SM.c

 Notes
	Contains function prototypes and states for TX_SM.c
****************************************************************************/

#ifndef TX_SM_H
#define TX_SM_H

/* Define states for the XBee communication state machine */
typedef enum {WaitingToSend, SendingData} TXState_t;

/* Function Prototypes */
ES_Event RunTX_SM(ES_Event CurrentEvent);
bool InitTX_SM(uint8_t Priority);
bool PostTX_SM(ES_Event ThisEvent);

void LoadXBeeData(uint8_t DataArray[], uint8_t NumDataBytes, uint16_t DestAddr);
void UARTInterruptResponse(void);

#endif /*TX_SM_H*/
